Bug 1381724

Summary: Gnome Screenshot does not capture external monitor with Wayland
Product: [Fedora] Fedora Reporter: Jonathan Briggs <zlynx>
Component: gnome-screenshotAssignee: Matthias Clasen <mclasen>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: bugzilla, cosimo.cecchi, fedora, jeff, mclasen, tiagomatos
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-12 10:04:19 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1277927, 1372055    
Attachments:
Description Flags
Screenshot showing the problem. none

Description Jonathan Briggs 2016-10-04 20:12:05 UTC
Created attachment 1207340 [details]
Screenshot showing the problem.

Description of problem:
I asked Gnome Screenshot to capture the full screen. It captured the primary screen only. I am attaching the screenshot to illustrate.

System setup is a Dell m3800 with a 4K laptop screen and a 4K external screen.

Version-Release number of selected component (if applicable):
gnome-screenshot-3.22.0-1.fc25.x86_64

How reproducible:


Steps to Reproduce:
1. Start a gnome-shell Wayland session with an external monitor attached
2. Use Gnome Screenshot to capture the screen


Actual results:
Primary screen captured, second screen blank in screenshot.

Expected results:
Both screens captured.

Comment 1 Jeffrey C. Ollie 2016-10-07 15:03:21 UTC
I have the same problem with a Radeon HD 4550. I'm able to take a screenshot of anything on the primary monitor, but anything on the secondary monitor is blank. I'm using the default radeon driver.

01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] RV710 [Radeon HD 4550] (prog-if 00 [VGA controller])
	Subsystem: Advanced Micro Devices, Inc. [AMD/ATI] Device 0104
	Physical Slot: 1
	Flags: bus master, fast devsel, latency 0, IRQ 33
	Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Memory at f0100000 (64-bit, non-prefetchable) [size=64K]
	I/O ports at 1100 [size=256]
	[virtual] Expansion ROM at 000c0000 [disabled] [size=128K]
	Capabilities: [50] Power Management version 3
	Capabilities: [58] Express Legacy Endpoint, MSI 00
	Capabilities: [a0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [100] Vendor Specific Information: ID=0001 Rev=1 Len=010 <?>
	Kernel driver in use: radeon
	Kernel modules: radeon

Comment 2 Chris Murphy 2016-10-07 16:06:52 UTC
I wonder if this is a regression? I can't reproduce this on Fedora 24 on Wayland with an external display. I get a PNG with content from both displays, as expected.

Comment 3 Fedora End Of Life 2017-11-16 18:54:00 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2017-12-12 10:04:19 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.